#!/bin/sh
export PATH='/wrkdirs/usr/ports/textproc/hs-hexpat/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hexpat
version: 0.20.13
id: hexpat-0.20.13-9N4O0DHlWex7FjS6mAEwVB
key: hexpat-0.20.13-9N4O0DHlWex7FjS6mAEwVB
license: BSD-3-Clause
copyright: (c) 2009 Doug Beardsley <mightybyte@gmail.com>,
           (c) 2009-2012 Stephen Blackheath <http://blacksapphire.com/antispam/>,
           (c) 2009 Gregory Collins,
           (c) 2008 Evan Martin <martine@danga.com>,
           (c) 2009 Matthew Pocock <matthew.pocock@ncl.ac.uk>,
           (c) 2007-2009 Galois Inc.,
           (c) 2010 Kevin Jardine,
           (c) 2012 Simon Hengel
maintainer: Stephen Blackheath <hexpat2.stephen@blacksapphire.com>
author: Stephen Blackheath [blackh] (the primary author),
        Doug Beardsley,
        Gregory Collins,
        Evan Martin (who started the project),
        Matthew Pocock [drdozer],
        Kevin Jardine,
        Jacob Stanley,
        Simon Hengel
stability: beta
homepage: http://haskell.org/haskellwiki/Hexpat/
synopsis: XML parser/formatter based on expat
description:
    This package provides a general purpose Haskell XML library using Expat to
    do its parsing (<http://expat.sourceforge.net/> - a fast stream-oriented XML
    parser written in C).  It is extensible to any string type, with @String@,
    @ByteString@ and @Text@ provided out of the box.
    .
    Basic usage: Parsing a tree (/Tree/), formatting a tree (/Format/).
    Other features: Helpers for processing XML trees (/Proc/), trees annotated with
    XML source location (/Annotated/), extended XML trees with comments,
    processing instructions, etc (/Extended/), XML cursors (/Cursor/),
    SAX-style parse (/SAX/), and access to the low-level interface in case speed
    is paramount (/Internal.IO/).
    .
    The design goals are speed, speed, speed, interface simplicity and modularity.
    .
    For introduction and examples, see the /Text.XML.Expat.Tree/ module. For benchmarks,
    <http://haskell.org/haskellwiki/Hexpat/>
    .
    If you want to do interactive I\/O, an obvious option is to use lazy parsing
    with one of the lazy I\/O functions such as hGetContents.  However, this can be
    problematic in some applications because it doesn'\''t handle I\/O errors properly
    and can give no guarantee of timely resource cleanup. Because of the generalized
    list, Hexpat is designed to allow for chunked I/O, but as of this writing I haven'\''t
    done a nice integration with enumerator and friends.
    .
    /IO/ is filed under /Internal/ because it'\''s low-level and most users won'\''t want
    it.  The other /Internal/ modules are re-exported by /Annotated/, /Tree/ and /Extended/,
    so you won'\''t need to import them directly.
    .
    If you have trouble building on Windows, you can try the bundle flag. This will
    make it build from the source of libexpat bundled inside the hexpat package:
    cabal install -f bundle hexpat
    .
    Credits to Iavor Diatchki and the @xml@ (XML.Light) package for /Proc/ and /Cursor/.
    Thanks to the many contributors.
    .
    ChangeLog: 0.15 changes intended to fix a (rare) \"error: a C finalizer called back into Haskell.\"
    that seemed only to happen only on ghc6.12.X; 0.15.1 Fix broken Annotated parse;
    0.16 switch from mtl to transformers; 0.17 fix mapNodeContainer & rename some things.;
    0.18 rename defaultEncoding to overrideEncoding. 0.18.3 formatG and indent were demanding list
    items more than once (inefficient in chunked processing); 0.19 add Extended.hs;
    0.19.1 fix a memory leak introduced in 0.19, delegate parsing to bound thread
    if unbound (see note above); 0.19.2 include expat source code so \'\''cabal install\'\'' just works
    on Linux, Mac and Windows (thanks Jacob Stanley); 0.19.3 fix misconfiguration of expat
    which broke entity parsing; 0.19.4 bump version constraint for text; 0.19.5 bump text
    to < 0.12 and fix text-0.10.0.1 breakage; 0.19.6 dependency breakage with List;
    0.19.7 ghc-7.2.1 compatibility; 0.19.8 fix space leak on lazy parse under ghc-7.2.1;
    0.19.9 fix formatting of > character + improve performance; 0.19.10 ghc-7.4.x compatibility;
    0.20.1 fix an unfortunate crash when used in parallel processing and greatly improve
    performance; 0.20.2 make parseSaxG lazier; 0.20.3 minor build issues; 0.20.4 remove
    dependency on extensible-exceptions; 0.20.5 bump text upper bound; 0.20.6 bump text again
    to include 1.1.x.x; 0.20.7 bump text again for 1.2.x.x; 0.20.8 bump utf8-string dep;
    0.20.9 bump deepseq dep/ghc-7.10 compatibility.; 0.20.10 increase dependency upper bounds;
    0.20.11 update to libexpat-2.2.1 which includes several security fixes;
    0.20.12 use the system libexpat by default, but provide a bundle flag to allow a bundled
    copy of expat to be used, which might make life easier on Windows: cabal install -f bundle
    hexpat; 0.20.13 Fix some mistakes made in 0.20.12 cabal file.
category: XML
abi: 68655ad8005aa8380a7615f9305badec
exposed: True
exposed-modules:
    Text.XML.Expat.Annotated Text.XML.Expat.Cursor
    Text.XML.Expat.Extended Text.XML.Expat.Format
    Text.XML.Expat.Internal.DocumentClass Text.XML.Expat.Internal.IO
    Text.XML.Expat.Internal.Namespaced
    Text.XML.Expat.Internal.NodeClass Text.XML.Expat.Internal.Qualified
    Text.XML.Expat.Proc Text.XML.Expat.SAX Text.XML.Expat.Tree
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/hexpat-0.20.13
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/hexpat-0.20.13
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/hexpat-0.20.13
hs-libraries: HShexpat-0.20.13-9N4O0DHlWex7FjS6mAEwVB
extra-libraries:
    expat
include-dirs: /usr/local/include
depends:
    List-0.6.2-40SZqgxe2IgBU64zFC7m6Y base-4.11.1.0 bytestring-0.10.8.2
    containers-0.5.11.0 deepseq-1.4.3.0 text-1.2.3.0
    transformers-0.5.5.0 utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8
abi-depends: List-0.6.2-40SZqgxe2IgBU64zFC7m6Y=04a718808060d30aaaa464ea5a739b5a
             base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             bytestring-0.10.8.2=7e6ff0f3c2255fe1b20bd14002d26042
             containers-0.5.11.0=d384b381e11d19983236150d9c2d8d67
             deepseq-1.4.3.0=a0a2dcdc923dbfb12a212a375ac573e0
             text-1.2.3.0=9ad7bbe7c5dcb4150d56b6f4034f18b1
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8=6db6caca79bd91c640266fff09c75555
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/hexpat-0.20.13/html/hexpat.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/hexpat-0.20.13/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

